javax.swing

## Class JComponent.AccessibleJComponent.AccessibleContainerHandler

- java.lang.Object
- - javax.swing.JComponent.AccessibleJComponent.AccessibleContainerHandler

All Implemented Interfaces:
  ContainerListener, EventListener

Enclosing class:
  JComponent.AccessibleJComponent

    protected class JComponent.AccessibleJComponent.AccessibleContainerHandler
    extends Object
    implements ContainerListener

Fire PropertyChange listener, if one is registered, when children added/removed.

### Constructor Summary

Constructors
`protected` `AccessibleContainerHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `componentAdded(ContainerEvent e)` Invoked when a component has been added to the container.
`void` `componentRemoved(ContainerEvent e)` Invoked when a component has been removed from the container.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessibleContainerHandler

    protected AccessibleContainerHandler()

### Method Detail

#### componentAdded

    public void componentAdded(ContainerEvent e)

Description copied from interface: `ContainerListener`
Invoked when a component has been added to the container.

Specified by:
  `componentAdded` in interface `ContainerListener`

#### componentRemoved

    public void componentRemoved(ContainerEvent e)

Description copied from interface: `ContainerListener`
Invoked when a component has been removed from the container.

Specified by:
  `componentRemoved` in interface `ContainerListener`